tableHUM<- read.table("connections_Human5percent.txt", header=F, row.names=1,  sep = "\t", na.strings = "NA")
# the script to create "connections_Human5percent.txt" got lost. You have to check how many time a gene is present in the 5% of co-expressed genes of all other genes.
# memory.limit(10000)
adjacencyHUM<-matrix(data=0, nrow=length(rownames(tableHUM)), ncol=length(rownames(tableHUM)))
colnames(adjacencyHUM)<-rownames(tableHUM)
rownames(adjacencyHUM)<-rownames(tableHUM)

for(i in 1:length(adjacencyHUM[1,])){
  colm<-which(colnames(adjacencyHUM)%in%tableHUM[i,])
  adjacencyHUM[i,colm]<-1
  
}

save(adjacencyHUM, file="adjacencyHUM")
load("adjacencyHUM")

length(which(adjacencyHUM[1,]==1))
length(which(tableHUM[1,]!="NA"))

######### SCRIPT TOO SLOW ###################
# for(a in 1:length(tableHUM[1,])){
#   for(i in 1:length(tableHUM[1,])){
#     if(rownames(tableHUM)[i]%in%tableHUM[a,]){
#       adjacencyHUM[a,i]<-1
#     }
#     else{
#       adjacencyHUM[a,i]<-0  
#     }
#   }
# }
# 
# save(adjacencyHUM, file="adjacencyHUM")
# load("adjacencyHUM")
########################################################


################  TRIAL #########################
# test
# trial<-table[1:100,1:100]
# adjacency<-matrix(nrow=length(trial[1,]), ncol=length(trial[1,]))
# colnames(trial)<-rownames(trial)
# colnames(adjacency)<-rownames(trial)
# rownames(adjacency)<-rownames(trial)
# 
# for(a in 1:length(trial[1,])){
#   for(i in 1:length(trial[1,])){
#     if(rownames(trial)[i]%in%trial[a,]){
#       adjacency[a,i]<-1
#     }
#     else{
#       adjacency[a,i]<-0  
#     }
#   }
# }
# 
