# to use it with my computer
setwd("C:/Users/GianniMonaco/Desktop/Project co-expression/3 - Network and diff conn genes")
# open and read the files
library("igraph")

##########clustering coffecient #############
load("netHUM1p")
clustHUM1p<-transitivity(netHUM1p, type="local", vids=V(netHUM1p))
namHUM<-V(netHUM1p)$name
clustHUM1p<-cbind(namHUM, clustHUM1p)
mean(as.numeric(clustHUM1p[,2]))
write.table(clustHUM1p, file="clustHUM1p.txt", sep="\t", col.names=F)

load("netMOU1p")
clustMOU1p<-transitivity(netMOU1p, type="local", vids=V(netMOU1p))
namMOU<-V(netMOU1p)$name
clustMOU1p<-cbind(namMOU, clustMOU1p)
mean(as.numeric(clustMOU1p[,2]))
write.table(clustMOU1p, file="clustMOU1p.txt", sep="\t", col.names=F)


########## betweeness #############
load("netHUM1p")
betHUM1p<-betweenness(netHUM1p,  v=V(netHUM1p))
namHUM<-V(netHUM1p)$name
betHUM1p<-cbind(namHUM, betHUM1p)
mean(as.numeric(betHUM1p[,2]))
write.table(betHUM1p, file="betHUM1p.txt", sep="\t", col.names=F)

load("netMOU1p")
betMOU1p<-betweenness(netMOU1p,  v=V(netMOU1p))
namMOU<-V(netMOU1p)$name
betMOU1p<-cbind(namMOU, betMOU1p)
mean(as.numeric(betMOU1p[,2]))
write.table(betMOU1p, file="betMOU1p.txt", sep="\t", col.names=F)

######## path lenght ###########
#for the server
#setwd("/base1/giannim/co-expression project/3 - Network and diff conn genes")

#human
library("igraph")
load("netHUM1p")
pathHUM1p<-shortest.paths(netHUM1p, V(netHUM1p), mode="out")
save(pathHUM1p, file="pathHUM1p")
avpathHUM1p<-average.path.length(netHUM1p)
save(avpathHUM1p, file="avpathHUM1p")
histpathHUM1p<-path.length.hist(netHUM1p)
save(histpathHUM1p, file="histpathHUM1p")

#mouse
load("netMOU1p")
pathMOU1p<-shortest.paths(netMOU1p, V(netMOU1p), mode="out")
save(pathMOU1p, file="pathMOU1p")
avpathMOU1p<-average.path.length(netMOU1p)
save(avpathMOU1p, file="avpathMOU1p")
histpathMOU1p<-path.length.hist(netMOU1p)
save(histpathMOU1p, file="histpathMOU1p")

